Bug 655828 - Update to newest release and branch documentation into separate package
Summary: Update to newest release and branch documentation into separate package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: armadillo
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: C Sand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 13:41 UTC by Susi Lehtola
Modified: 2011-01-24 21:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-24 21:06:44 UTC
Type: ---


Attachments (Terms of Use)

Description Susi Lehtola 2010-11-22 13:41:06 UTC
Hi,


the current release of armadillo in Fedora 14 is 0.9.52, while the current upstream version is 0.9.92. Maybe you could update to the newest release?

Also, rpm -qi reports that the size of the -devel package is 22869857. According to du, the documentation placed in -devel is 25MB in size. The documentation clearly should be branched into its own package. At the same time, you could add the user documentation from docs_user to the documentation package.

Comment 1 C Sand 2010-11-22 15:46:08 UTC
I'm holding off the update until version 1.0, which we're planning to release within the next 2 weeks.

I'll also remove the doxygen generated technical documentation (docs_tech), while keeping the user documentation (docs_user). This will considerably cut down the size of the -devel package.

If someone is really interested in the technical docs, they can easily regenerate it themselves via running doxygen. Having it present as part of an rpm doesn't add much value.

Comment 2 C Sand 2010-11-25 04:59:28 UTC
submitted official 1.0.0 version as updates to F12, F13, F14 and EL6.

Comment 3 Susi Lehtola 2011-01-24 21:06:44 UTC
Well, this has obviously been fixed.


Note You need to log in before you can comment on or make changes to this bug.